# pamtable

Updated: 15 April 2017
Table Of Contents

## NAME

pamtable - print the raster as a table of numerical sample values

## SYNOPSIS

pamtable [netpbmfile]

## DESCRIPTION

This program is part of Netpbm.

pamtable prints the raster of a Netpbm image as a table of numerical sample values. For example, a 5-pixel wide, 2-pixel high rainbow (black, red, green, blue, white) PPM image with maxval 255 would appear as follows:

            0   0   0|255   0   0|  0 255   0|  0   0 255|255 255 255
            0   0   0|255   0   0|  0 255   0|  0   0 255|255 255 255

If you care to see only certain rows or columns, use pamcut to filter the input.

If you care to see only certain planes, use pamchannel to filter the input.

pamtable prints vertical bars between tuples, unless there is only one sample per tuple, in which case it prints a single space between tuples.

pamtable prints a single space between samples within a tuple.

For each sample, pamtable prints the numerical value from the Netpbm image, uninterpreted. It prints it in decimal, right justified in the minimum number of spaces required to print the maxval of the image.

If you want the samples to print more densely, use pamdepth to reduce the maxval (thus making the decimal numbers for the samples narrower).

The less program (not part of Netpbm) is good for browsing through the table. Use its --chop-long-lines option and use cursor movement keys to scroll around in the image.

## ARGUMENTS

The only possible argument is the name of the file containing the input Netpbm image. This is optional; if you don't specify any arguments, the input comes from Standard Input.

## OPTIONS

None.

## SEE ALSO

pamfile, pamcut, pamchannel, pnm, pam, pamslice, ppmtoarbtxt, ppmtoterm,

## HISTORY

pamtable was new in Netpbm 10.79 (June 2017).

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- ARGUMENTS
- OPTIONS
- SEE ALSO
- HISTORY